package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class ThirdPhotovoltaicPowerView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏日累积发电量(KW·h)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public Date getCreateDate() {
        return this.createDate;
    }

    public void setCreateDate(Date value) {
        this.createDate = value;
    }

    public BigDecimal getPhotovoltaicPower() {
        return this.photovoltaicPower;
    }

    public void setPhotovoltaicPower(BigDecimal value) {
        this.photovoltaicPower = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

}
