package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("third_well_avg_active_power")
public class ThirdWellAvgActivePowerEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("采集时间")
    @TableField
    private Date inputTime;

    @XText("平均有功功率(KW)")
    @TableField
    private BigDecimal avgActivePower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    public Long getId() {
        return this.id;
    }

    public void setId(Long value) {
        this.id = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public Date getInputTime() {
        return this.inputTime;
    }

    public void setInputTime(Date value) {
        this.inputTime = value;
    }

    public BigDecimal getAvgActivePower() {
        return this.avgActivePower;
    }

    public void setAvgActivePower(BigDecimal value) {
        this.avgActivePower = value;
    }

    public String getSystemSource() {
        return this.systemSource;
    }

    public void setSystemSource(String value) {
        this.systemSource = value;
    }

    public Date getSaveDate() {
        return this.saveDate;
    }

    public void setSaveDate(Date value) {
        this.saveDate = value;
    }

}
